Index: apps/app_voicemail.c
===================================================================
RCS file: /usr/cvsroot/asterisk/apps/app_voicemail.c,v
retrieving revision 1.132
diff -u -r1.132 app_voicemail.c
--- apps/app_voicemail.c	9 Jul 2004 07:39:39 -0000	1.132
+++ apps/app_voicemail.c	13 Jul 2004 18:43:25 -0000
@@ -3258,6 +3258,68 @@
 	return res;
 }
 
+
+/* CZECH syntax */
+static int vm_intro_cz(struct ast_channel *chan,struct vm_state *vms)
+{
+	int res;
+	res = play_and_wait(chan, "vm-mate");
+	if (!res) {
+		if (vms->newmessages) {
+			if (vms->newmessages == 1) {
+				res = play_and_wait(chan, "digits/1nu");
+			} else {
+				res = say_and_wait(chan, vms->newmessages, chan->language);
+			}
+			if (!res) {
+                                if ((vms->newmessages == 1))
+                                        res = play_and_wait(chan, "vm-novou");
+                                if ((vms->newmessages) > 1 && (vms->newmessages < 5))
+                                        res = play_and_wait(chan, "vm-nove");
+                                if (vms->newmessages > 4)
+                                        res = play_and_wait(chan, "vm-novych");
+			}
+			if (vms->oldmessages && !res)
+                                res = play_and_wait(chan, "vm-and");
+                        else if (!res) {
+                                if ((vms->newmessages == 1))
+                                        res = play_and_wait(chan, "vm-zpravu");
+                                if ((vms->newmessages) > 1 && (vms->newmessages < 5))
+                                        res = play_and_wait(chan, "vm-zpravy");
+                                if (vms->newmessages > 4)
+	                                res = play_and_wait(chan, "vm-zprav");
+			}
+		}
+		if (!res && vms->oldmessages) {
+			res = say_and_wait(chan, vms->oldmessages, chan->language);
+			if (!res) {
+                                if ((vms->oldmessages == 1))
+                                        res = play_and_wait(chan, "vm-starou");
+                                if ((vms->oldmessages) > 1 && (vms->oldmessages < 5))
+                                	res = play_and_wait(chan, "vm-stare");
+                                if (vms->oldmessages > 4)
+                                        res = play_and_wait(chan, "vm-starych");
+			}
+			if (!res) {
+	                	if ((vms->oldmessages == 1))
+					res = play_and_wait(chan, "vm-zpravu");
+				if ((vms->oldmessages) > 1 && (vms->oldmessages < 5))
+                                        res = play_and_wait(chan, "vm-zpravy");
+	                        if (vms->oldmessages > 4)
+	                                res = play_and_wait(chan, "vm-zprav");
+			}
+		}
+		if (!res) {
+			if (!vms->oldmessages && !vms->newmessages) {
+				res = play_and_wait(chan, "vm-zadne");
+				if (!res)
+					res = play_and_wait(chan, "vm-zpravy");
+			}
+		}
+	}
+	return res;
+}
+
 static int vm_instructions(struct ast_channel *chan, struct vm_state *vms, int skipadvanced)
 {
 	int res = 0;
@@ -3617,6 +3679,8 @@
 			cmd = vm_intro_nl(chan, &vms);
 		} else if (!strcasecmp(chan->language, "pt")) {	/* PORTUGUESE syntax */
 			cmd = vm_intro_pt(chan, &vms);
+		} else if (!strcasecmp(chan->language, "cz")) { /* CZECH syntax */
+			cmd = vm_intro_cz(chan, &vms);
 		} else {	/* Default to ENGLISH */
 			cmd = vm_intro(chan, &vms);
 		}
